Package: org.gradle.jvm.application.scripts

## [Java] Interface TemplateBasedScriptGenerator

- org.gradle.jvm.application.scripts.ScriptGenerator

- All Superinterfaces:
    ScriptGenerator

  Interface for generating scripts with the provided details based on a provided template.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `TextResource` | `getTemplate()` Gets the template reader used for generating script.
    `void` | `setTemplate(TextResource template)` Sets the template text resource used for generating script.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ScriptGenerator` | `generateScript`

- - ### Method Detail

    - #### public TextResource getTemplate()

      Gets the template reader used for generating script.

      Returns:
        Template reader

    - #### public void setTemplate(TextResource template)

      Sets the template text resource used for generating script.

      Parameters:
        `template` - Template text resource